> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bleepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Endpoint

> Update a webhook endpoint's configuration.

`POST /api/v1/businesses/:businessId/webhook-endpoints/:endpointId/update-endpoint`

## Parameters

### Path

| Name         | Type     | Required | Description     |
| ------------ | -------- | -------- | --------------- |
| `businessId` | `string` | Yes      | The business ID |
| `endpointId` | `string` | Yes      | The endpoint ID |

### Body

| Name          | Type     | Required | Description                 |
| ------------- | -------- | -------- | --------------------------- |
| `url`         | `string` | No       | New HTTPS URL for delivery  |
| `description` | `string` | No       | Updated description         |
| `events`      | `array`  | No       | Updated list of event types |

## Request example

```shell theme={null}
curl --request POST 'https://payments.bleepay.com/api/v1/businesses/biz_abc/webhook-endpoints/wh_abc123/update-endpoint' \
  --header 'Authorization: Bearer <business_token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "url": "https://example.com/webhooks/v2",
    "events": ["deposit.pending", "deposit.confirmed", "deposit.expired", "deposit.underpaid"]
  }'
```

## Response

Returns HTTP 200 with an empty body.
